package com.fujica.abk.utils;

/**
 * API请求选项
 */
public class ApiOption {
    public final static String GET = "GET";
    public final static String POST = "POST";
    public final static String DEL = "DELETE";
    public final static String PUT = "PUT";

    private String url;
    private Object data;
    private Boolean toast = true; // 错误提示，默认不传值提示
    private  String method = GET;

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public ApiOption() {
    }

    public ApiOption(String url) {
        this.url = url;
    }

    public ApiOption(String url, Object data) {
        this.url = url;
        this.data = data;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public Boolean getToast() {
        return toast;
    }

    public void setToast(Boolean toast) {
        this.toast = toast;
    }
}

